//
//  ViewController.m
//  PagingScrollTest
//
//  Created by Alex Barlow on 15/01/2016.
//  Copyright © 2016 Alex Barlow. All rights reserved.
//

#import "ViewController.h"

static NSString * const kPageIdentifier = @"Page";

@interface ViewController ()
@property (nonatomic, strong) GMCPagingScrollView *pagingScrollView;
@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    self.pagingScrollView = [[GMCPagingScrollView alloc] initWithFrame:self.view.bounds];
    self.pagingScrollView.autoresizingMask = UIViewAutoresizingFlexibleWidth | UIViewAutoresizingFlexibleHeight;
    self.pagingScrollView.dataSource = self;
    self.pagingScrollView.infiniteScroll = YES;
    self.pagingScrollView.interpageSpacing = 0;
    [self.view addSubview:self.pagingScrollView];
    
    [self.pagingScrollView registerClass:[UIView class] forReuseIdentifier:kPageIdentifier];
    [self.pagingScrollView reloadData];
}

- (void)viewDidAppear:(BOOL)animated {
    UIButton *button = [UIButton buttonWithType:UIButtonTypeCustom];
    [button setTitle:@"MOVE PAGE" forState:UIControlStateNormal];
    [button addTarget:self action:@selector(didTapButton) forControlEvents:UIControlEventTouchUpInside];
    [button setFrame:CGRectMake(20, 20, 100, 100)];
    [self.view addSubview:button];
}

- (void)didTapButton {
    [self.pagingScrollView setCurrentPageIndex:self.pagingScrollView.currentPageIndex+1 animated:YES];
}

- (NSUInteger)numberOfPagesInPagingScrollView:(GMCPagingScrollView *)pagingScrollView {
    return 3;
}

- (UIView *)pagingScrollView:(GMCPagingScrollView *)pagingScrollView pageForIndex:(NSUInteger)index {
    UIView *page = [pagingScrollView dequeueReusablePageWithIdentifier:kPageIdentifier];
    
    switch (index) {
        case 0:
            page.backgroundColor = [UIColor redColor];
            break;
        case 1:
            page.backgroundColor = [UIColor greenColor];
            break;
        case 2:
            page.backgroundColor = [UIColor blueColor];
            break;
    }
    
    return page;
}



@end
